
add_subdirectory( storage )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmm_mymoney (static) ######################

tde_add_library( kmm_mymoney STATIC_PIC AUTOMOC
  SOURCES
    mymoneymoney.cpp
    mymoneyfinancialcalculator.cpp
    mymoneytransactionfilter.cpp
    mymoneyobject.cpp
    mymoneykeyvaluecontainer.cpp
    mymoneyobserver.cpp
    mymoneysubject.cpp
    mymoneysplit.cpp
    mymoneyinstitution.cpp
    mymoneyexception.cpp
    mymoneyinvesttransaction.cpp
    mymoneyutils.cpp
    mymoneysecurity.cpp
    mymoneytransaction.cpp
    mymoneyscheduled.cpp
    mymoneypayee.cpp
    mymoneyfile.cpp
    mymoneycategory.cpp
    mymoneyaccount.cpp
    mymoneyreport.cpp
    mymoneystatement.cpp
    mymoneyprice.cpp
    mymoneybudget.cpp
    mymoneyobjectcontainer.cpp
    mymoneyforecast.cpp

  DEPENDENCIES
    kmm-includes
)


##### kmm_mymoney (shared) ######################

configure_file( ${TDE_CMAKE_TEMPLATES}/tde_dummy_cpp.cmake dummy.cpp COPYONLY )

tde_add_library( kmm_mymoney SHARED AUTOMOC
  SOURCES
    dummy.cpp

  VERSION 5.0.0

  EMBED
    kmm_mymoney-static

  LINK
    kmymoneysettings-static
    storage-static
    tdecore-shared

  DESTINATION ${LIB_INSTALL_DIR}
)


##### mymoneytest (static)

tde_add_library( mymoneytest STATIC_PIC AUTOMOC
  SOURCES
    mymoneytransactiontest.cpp
    mymoneysplittest.cpp
    mymoneymoneytest.cpp
    mymoneyfiletest.cpp
    mymoneyaccounttest.cpp
    mymoneyexceptiontest.cpp
    mymoneyinstitutiontest.cpp
    mymoneykeyvaluecontainertest.cpp
    mymoneyscheduletest.cpp
    mymoneyfinancialcalculatortest.cpp
    mymoneysecuritytest.cpp
    mymoneypricetest.cpp
    mymoneyobjecttest.cpp
    mymoneyforecasttest.cpp
    mymoneypayeetest.cpp

  DEPENDENCIES
    kmm-includes

  EXCLUDE_FROM_ALL
)


##### other data

kmm_install_includes(
  FILES
    mymoneyobject.h
    mymoneyaccount.h
    mymoneycategory.h
    mymoneyexception.h
    mymoneyfile.h
    mymoneyfinancialcalculator.h
    mymoneyinstitution.h
    mymoneyinvesttransaction.h
    mymoneykeyvaluecontainer.h
    mymoneymoney.h
    mymoneyobserver.h
    mymoneypayee.h
    mymoneyprice.h
    mymoneyreport.h
    mymoneyscheduled.h
    mymoneysecurity.h
    mymoneysplit.h
    mymoneystatement.h
    mymoneysubject.h
    mymoneytransactionfilter.h
    mymoneytransaction.h
    mymoneyutils.h
    mymoneybudget.h
    mymoneyobjectcontainer.h
    mymoneyforecast.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmymoney
)
